STOFFDocumentInternal Namespace Reference

small namespace use to define private class/method used by STOFFDocument More...

## Functions

std::shared_ptr< STOFFGraphicParser > | getGraphicParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an graphic header.
std::shared_ptr< STOFFGraphicParser > | getPresentationParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an presentation header.
std::shared_ptr< STOFFTextParser > | getTextParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an text header.
std::shared_ptr< STOFFSpreadsheetParser > | getSpreadsheetParserFromHeader (STOFFInputStreamPtr &input, STOFFHeader *header, char const *passwd)
| Factory wrapper to construct a parser corresponding to an spreadsheet header.
STOFFHeader * | getHeader (STOFFInputStreamPtr &ip, bool strict)
| return the header corresponding to an input.
bool | checkHeader (STOFFInputStreamPtr &input, STOFFHeader &header, bool strict)
| Wrapper to check a basic header of a mac file.

## Detailed Description

small namespace use to define private class/method used by STOFFDocument

## Function Documentation

## checkHeader()

bool STOFFDocumentInternal::checkHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader & | header,
|  | bool | strict )

Wrapper to check a basic header of a mac file.

Referenced by getHeader().

## getGraphicParserFromHeader()

std::shared_ptr< STOFFGraphicParser > STOFFDocumentInternal::getGraphicParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd )

Factory wrapper to construct a parser corresponding to an graphic header.

Referenced by checkHeader(), and STOFFDocument::parse().

## getHeader()

STOFFHeader * STOFFDocumentInternal::getHeader | ( | STOFFInputStreamPtr & | ip,
|  | bool | strict )

return the header corresponding to an input.

Or 0L if no input are found

Referenced by STOFFDocument::isFileFormatSupported(), STOFFDocument::parse(), STOFFDocument::parse(), STOFFDocument::parse(), and STOFFDocument::parse().

## getPresentationParserFromHeader()

std::shared_ptr< STOFFGraphicParser > STOFFDocumentInternal::getPresentationParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd )

Factory wrapper to construct a parser corresponding to an presentation header.

Referenced by STOFFDocument::parse().

## getSpreadsheetParserFromHeader()

std::shared_ptr< STOFFSpreadsheetParser > STOFFDocumentInternal::getSpreadsheetParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd )

Factory wrapper to construct a parser corresponding to an spreadsheet header.

Referenced by checkHeader(), and STOFFDocument::parse().

## getTextParserFromHeader()

std::shared_ptr< STOFFTextParser > STOFFDocumentInternal::getTextParserFromHeader | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header,
|  | char const * | passwd )

Factory wrapper to construct a parser corresponding to an text header.

Referenced by checkHeader(), and STOFFDocument::parse().